import React, { PropTypes } from 'react'
import Icon from './Icon'
import theme from './theme'

const ExclamationCircle = ({ fill, ...props }) => {
  return (
    <Icon {...props}>
      <svg style={{ display: 'block' }} xmlns="http://www.w3.org/2000/svg" xmlnsXlink="http://www.w3.org/1999/xlink" x="0px" y="0px" width="100%" height="100%" viewBox="0 0 16 16">
        <g>
          <path fill={fill} d="M8,0C3.6,0,0,3.6,0,8s3.6,8,8,8s8-3.6,8-8S12.4,0,8,0z M8,12c-0.6,0-1-0.4-1-1s0.4-1,1-1s1,0.4,1,1S8.6,12,8,12z M9,9H7V4h2V9z"/>
        </g>
      </svg>
    </Icon>
  )
}

ExclamationCircle.propTypes = {
  ...Icon.propTypes
}

ExclamationCircle.defaultProps = {
  ...Icon.defaultProps,
  backgroundColor: 'white',
  circle: true,
  fill: theme.rawColors.pink500
}

export default ExclamationCircle
