import React, { PropTypes } from 'react'

const parseProps = ({
  display,
  style,
  ...props
}) => {
  const styles = {}

  if (display) styles.display = display

  return { style: { ...styles, ...style }, ...props }
}

const withDisplay = (Comp) => {
  const HoComp = (originalProps) => {
    return React.createElement(Comp, parseProps(originalProps))
  }

  HoComp.propTypes = {
    ...Comp.propTypes,
    display: PropTypes.oneOf([
      'block',
      'inline-block',
      'inline',
      'table',
      'table-row',
      'table-cell',
      'flex',
      'inline-flex'
    ])
  }

  HoComp.displayName = Comp.displayName

  return HoComp
}

export {
  withDisplay
}
